Bug 238109 - update manager doesn't work
Summary: update manager doesn't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-27 08:22 UTC by Ben Konrath
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 3.2.2-12.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 07:47:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Konrath 2007-04-27 08:22:34 UTC
+++ This bug was initially created as a clone of Bug #238107 +++

Description of problem:

There are two problems with the launcher-addplatformtotildeeclipse.patch:

1) There is a reference to org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg
rather than org.eclipse.rcp_3.2.2.r322_v20070104-iwP0VLKnfFC923K.

2) The script shouldn't modify configuration/platform.xml if the script can be
sure that it has started from a clean slate at some point in the past. The patch
only needs a small modification to fix this. 

The combination of these two problems causes the update manager to stop working.

Version-Release number of selected component (if applicable):

eclipse-3.2.2-2.fc6

How reproducible:

always

Steps to reproduce:

1) rm -r ~/.eclipse
2) start eclipse and close it right away
3) start eclipse again
4) the configuration/platform.xml shouldn't be modified in this case

Comment 1 Ben Konrath 2007-04-27 08:49:23 UTC
A build is underway to fix this.

Comment 2 Ben Konrath 2007-04-30 15:43:13 UTC
Ok, the fix I made didn't address all of the issues so I'm still working on this. 

Here is the test plan for the fix:

1) ensure update manager works if there 
org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg in platform.xml
  -> install eclipse-3.2.2-2.fc6
  -> ensure org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg is in 
     platform.xml:
     grep -r rcp_3.2.1  
~/.eclipse/org.eclipse.platform_3.2.0/configuration/org.eclipse.update/platform.xml
  -> if not, running eclipse twice should put rcp_3.2.1 in platform.xml
  -> install eclipse-3.2.2-4.fc6
  -> start eclipse and ensure 3.2.1.r321_v20060801-clWbqCmjexIWDqg is not in 
     platform.xml
  -> ensure that the update manager works

2) ensure that platform.xml is not modified if started from a clean .eclipse
   -> install eclipse-3.2.2-4.fc6
   -> rm -r ~/.eclipse
   -> run eclipse
   -> check timestamp of
~/.eclipse/org.eclipse.platform_3.2.0/configuration/org.eclipse.update/platform.xml
   -> close eclipse and start again
   -> ensure that the timestamp of
~/.eclipse/org.eclipse.platform_3.2.0/configuration/org.eclipse.update/platform.xml
is the same
   -> ensure that 3.2.1.r321_v20060801-clWbqCmjexIWDqg is not in platform.xml

3) ensure that original bug is fixed
   -> install 3.2.1-4.fc6
   -> rm -r ~/.eclipse
   -> start eclipse 
   -> close eclipse
   -> update to eclipse-3.2.2-4.fc6
   -> ensure update manager works

Comment 3 Ben Konrath 2007-05-02 13:22:10 UTC
updated test plan:

1) ensure update manager works if there 
org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg in platform.xml
  -> install eclipse-3.2.2-9.fc7
  -> ensure org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg is in 
     platform.xml:
     grep -r rcp_3.2.1  
~/.eclipse/org.eclipse.platform_3.2.0/configuration/org.eclipse.update/platform.xml
  -> if not, running eclipse twice should put rcp_3.2.1 in platform.xml
  -> install eclipse-3.2.2-12.fc7
  -> start eclipse and ensure 3.2.1.r321_v20060801-clWbqCmjexIWDqg is not in 
     platform.xml
  -> ensure that the update manager works

2) ensure that update manager works with a new configuration
   -> install eclipse-3.2.2-12.fc7
   -> rm -r ~/.eclipse
   -> run eclipse
   -> close eclipse
   -> run eclipse again
   -> ensure org.eclipse.rcp_3.2.1.r321_v20060801-clWbqCmjexIWDqg is not in 
     platform.xml:
     grep rcp_3.2.1 \
~/.eclipse/org.eclipse.platform_3.2.0/configuration/org.eclipse.update/platform.xml
   -> ensure that the update manager works

3) ensure that original bug is fixed
   -> install 3.2.1-4.fc6
   -> rm -r ~/.eclipse
   -> start eclipse 
   -> close eclipse
   -> update to eclipse-3.2.2-12.fc7
   -> ensure update manager works

Comment 4 Ben Konrath 2007-05-03 06:45:50 UTC
eclipse-3.2.2-12.fc7 passes this test plan.


Note You need to log in before you can comment on or make changes to this bug.